Miridia
Portal
Administration

Teams

The teams operations of the Core API.

Base URL: https://api.miridia.io. Read Authentication and Conventions before you call these operations.

MethodPathOperation
GET/api/v1/teamsGet teams
POST/api/v1/teamsCreate team
GET/api/v1/teams/{teamId}Get team
PUT/api/v1/teams/{teamId}Update team
DELETE/api/v1/teams/{teamId}Delete team

Get teams

GET/api/v1/teams

Access. Send a bearer token or an API key. The caller needs the TeamAndRoles view permission.

Parameters

NameInTypeRequiredDescription
Pagequeryinteger (int32)NoLimits: minimum 1.
PageSizequeryinteger (int32)NoLimits: minimum 1, maximum 100.
$orderbyquerystringNoExample: "created_at desc" or "name asc"
$filterquerystringNoApply a ODATA style filter to the query to add a fixed constraint. For example, if you want to filter by the creation date, you would set the filter to "created_at ge 2022-01-01". Or if you want to filter by a specific status, you would set the filter to "status eq 'active'".
$searchquerystringNoProvide a search value which would inherit the 'CONTAINS' behaviour.
isEnabledquerybooleanNo

Response

200. Returns a PagedResult envelope. Each item in data is TeamResponse.

Request
curl -X GET "https://api.miridia.io/api/v1/teams" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID"
Response
{
  "count": 0,
  "totalCount": 0,
  "page": 0,
  "finalPage": 0,
  "pageSize": 0,
  "hasMore": true,
  "statusCode": "OK",
  "data": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "name": "string",
      "description": "string",
      "color": "string",
      "enabled": true,
      "members": [
        {}
      ],
      "dateCreated": "2026-09-29T08:00:00Z",
      "dateModified": "2026-09-29T08:00:00Z"
    }
  ],
  "messages": [
    {
      "title": "string",
      "message": "string",
      "level": "Standard",
      "icon": "SyncAlert",
      "code": "string"
    }
  ]
}

Create team

POST/api/v1/teams

Access. Send a bearer token or an API key. The caller needs the TeamAndRoles modify permission.

Request body

Send JSON with the shape CreateTeamCommand.

FieldTypeRequiredDescription
namestringYes
descriptionstringNo
colorstringNo
memberUserIdsstring (uuid)[]No

Response

200. Returns a SingleResult envelope. The data field is TeamResponse.

Request
curl -X POST "https://api.miridia.io/api/v1/teams" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string",
  "description": "string",
  "color": "string",
  "memberUserIds": [
    "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  ]
}'
Response
{
  "message": "string",
  "messages": [
    {
      "title": "string",
      "message": "string",
      "level": "Standard",
      "icon": "SyncAlert",
      "code": "string"
    }
  ],
  "data": {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "name": "string",
    "description": "string",
    "color": "string",
    "enabled": true,
    "members": [
      {}
    ],
    "dateCreated": "2026-09-29T08:00:00Z",
    "dateModified": "2026-09-29T08:00:00Z"
  },
  "statusCode": "OK",
  "canRead": true,
  "canEdit": true,
  "canDelete": true
}

Get team

GET/api/v1/teams/{teamId}

Access. Send a bearer token or an API key. The caller needs the TeamAndRoles view permission.

Parameters

NameInTypeRequiredDescription
teamIdpathstring (uuid)Yes

Response

200. Returns a SingleResult envelope. The data field is TeamResponse.

Request
curl -X GET "https://api.miridia.io/api/v1/teams/{teamId}" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID"
Response
{
  "message": "string",
  "messages": [
    {
      "title": "string",
      "message": "string",
      "level": "Standard",
      "icon": "SyncAlert",
      "code": "string"
    }
  ],
  "data": {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "name": "string",
    "description": "string",
    "color": "string",
    "enabled": true,
    "members": [
      {}
    ],
    "dateCreated": "2026-09-29T08:00:00Z",
    "dateModified": "2026-09-29T08:00:00Z"
  },
  "statusCode": "OK",
  "canRead": true,
  "canEdit": true,
  "canDelete": true
}

Update team

PUT/api/v1/teams/{teamId}

Access. Send a bearer token or an API key. The caller needs the TeamAndRoles modify permission.

Parameters

NameInTypeRequiredDescription
teamIdpathstring (uuid)Yes

Request body

Send JSON with the shape UpdateTeamCommand.

FieldTypeRequiredDescription
namestringYes
descriptionstringNo
colorstringNo
isEnabledbooleanNo
memberUserIdsstring (uuid)[]NoThe full member list. Replaces the current membership.

Response

200. Returns a SingleResult envelope. The data field is TeamResponse.

Request
curl -X PUT "https://api.miridia.io/api/v1/teams/{teamId}" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string",
  "description": "string",
  "color": "string",
  "isEnabled": true,
  "memberUserIds": [
    "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  ]
}'
Response
{
  "message": "string",
  "messages": [
    {
      "title": "string",
      "message": "string",
      "level": "Standard",
      "icon": "SyncAlert",
      "code": "string"
    }
  ],
  "data": {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "name": "string",
    "description": "string",
    "color": "string",
    "enabled": true,
    "members": [
      {}
    ],
    "dateCreated": "2026-09-29T08:00:00Z",
    "dateModified": "2026-09-29T08:00:00Z"
  },
  "statusCode": "OK",
  "canRead": true,
  "canEdit": true,
  "canDelete": true
}

Delete team

DELETE/api/v1/teams/{teamId}

Access. Send a bearer token or an API key. The caller needs the TeamAndRoles delete permission.

Parameters

NameInTypeRequiredDescription
teamIdpathstring (uuid)Yes

Response

200. Returns a SingleResult envelope. The data field is boolean.

Request
curl -X DELETE "https://api.miridia.io/api/v1/teams/{teamId}" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID"
Response
{
  "message": "string",
  "messages": [
    {
      "title": "string",
      "message": "string",
      "level": "Standard",
      "icon": "SyncAlert",
      "code": "string"
    }
  ],
  "data": true,
  "statusCode": "OK",
  "canRead": true,
  "canEdit": true,
  "canDelete": true
}

Models

The operations on this page use these object types. Select a type to see its fields.

PrimitiveUserResponse
FieldTypeDescription
idstring (uuid)
displayNamestring
firstNamestring
lastNamestring
emailstring
phoneNumberstring
TeamResponse
FieldTypeDescription
idstring (uuid)
namestring
descriptionstring
colorstring
enabledboolean
membersPrimitiveUserResponse[]
dateCreatedstring (date-time)
dateModifiedstring (date-time)